#
# spec file for package perl-Net_SSLeay (Version 1.05)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  openssl openssl-devel
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz openssl openssl-devel pam perl rpm

Name:         perl-Net_SSLeay
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     p_ssleay
Obsoletes:    p_ssleay
Autoreqprov:  on
Summary:      Net::SSLeay Perl Module
Version:      1.05
Release:      262
Source:       Net_SSLeay.pm-%{version}.tar.bz2
Patch1:       Net_SSLeay.pm-%{version}.dif
Patch2:       Net_SSLeay-%{version}-leak.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Net::SSLeay Perl module for using OpenSSL

Authors:
--------
    Sampo Kellomaki <sampo@iki.fi>

SuSE series: perl

%prep
%setup -n Net_SSLeay.pm-%{version}
%patch1
%patch2

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT$installarchlib/perllocal.pod $RPM_BUILD_ROOT/var/adm/perl-modules/Net_SSLeay
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Net/SSLeay
cat .packlist | sed s:$RPM_BUILD_ROOT:: | sort -u > .packlist.n
mv .packlist.n .packlist
cd $RPM_BUILD_ROOT/var/adm/perl-modules/
cat Net_SSLeay | sed s:$RPM_BUILD_ROOT:: > Net_SSLeay.n
mv Net_SSLeay.n Net_SSLeay

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes MANIFEST README Credits
/usr/lib/perl5/site_perl/5.*/*-linux/Net/SSLeay.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Net/SSLeay
%doc %{_mandir}/man3/*
/var/adm/perl-modules/Net_SSLeay

%changelog -n perl-Net_SSLeay
* Sun Nov 24 2002 - prehak@suse.cz
- applied patch eliminating bug [#21903] (memory leak)
* Wed Apr 04 2001 - schwab@suse.de
- Fix cast to not lose pointer bits.
* Mon Mar 26 2001 - cihlar@suse.cz
- fixed AUTOLOAD
- added make test
- remove tests which need network
* Thu Nov 23 2000 - cihlar@suse.cz
- fixed neededforbuild
* Fri Nov 10 2000 - cihlar@suse.cz
- renamed p_ssleay -> perl-Net_SSLeay
* Wed Aug 23 2000 - cihlar@suse.cz
- package created
